# Generated by Django 3.1.6 on 2021-05-21 00:27

import django.db.models.deletion
from django.conf import settings
from django.db import migrations, models

from openwisp_radius.registration import REGISTRATION_METHOD_CHOICES


class Migration(migrations.Migration):
    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('openwisp_radius', '0022_organizationradiussettings_registration_enabled'),
    ]

    operations = [
        migrations.CreateModel(
            name='RegisteredUser',
            fields=[
                (
                    'user',
                    models.OneToOneField(
                        on_delete=django.db.models.deletion.CASCADE,
                        primary_key=True,
                        related_name='registered_user',
                        serialize=False,
                        to='openwisp_users.user',
                    ),
                ),
                (
                    'method',
                    models.CharField(
                        blank=True,
                        choices=REGISTRATION_METHOD_CHOICES,
                        default='',
                        help_text=(
                            'users can sign up in different ways, some '
                            'methods are valid as indirect identity '
                            'verification (eg: mobile phone SIM card in '
                            'most countries)'
                        ),
                        max_length=64,
                        verbose_name='registration method',
                    ),
                ),
                (
                    'is_verified',
                    models.BooleanField(
                        default=False,
                        help_text=(
                            'whether the user has completed any identity '
                            'verification process sucessfully'
                        ),
                        verbose_name='verified',
                    ),
                ),
            ],
            options={
                'verbose_name': 'Registration Information',
                'verbose_name_plural': 'Registration Information',
                'abstract': False,
                'swappable': 'OPENWISP_RADIUS_REGISTEREDUSER_MODEL',
            },
        ),
        migrations.AddField(
            model_name='organizationradiussettings',
            name='needs_identity_verification',
            field=models.BooleanField(
                blank=True,
                default=None,
                help_text=(
                    'Whether identity verification is required '
                    'at the time of user registration'
                ),
                null=True,
            ),
        ),
    ]
